#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    //cout << "Hello world!" << endl;
    int a,b,x0=0,x1,j,k;
    cin>>a >>b;
    int niz[b];
    for(int i=0;i<b;i++){
        cin>>niz[i];
        x0=x0^niz[i];
    }
    cout<<x0;
    for( k=1;k<b;k++){
        x1=0;
        for(j=0;j<k;j++){
            if(k%j==0){
                x1=x1^j;
            }
        }
        cout<< x1<<endl;
    }
    return 0;
}